Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.dataxslt
Class Html2Pdf

    java.lang.Object
      com.knowgate.dataxslt.Html2Pdf

    public class Html2Pdf

extends java.lang.Object

Convert HTML document to PDF using Apache FOP

Constructor Summary
`Html2Pdf()`

Method Summary
`java.io.ByteArrayOutputStream` | `transformHTML(java.lang.String sHTML)` Transform HTML to PDF
`java.io.ByteArrayOutputStream` | `transformXHTML(java.lang.String sXHTML)` Transform XHTML to PDF Input XHTML is converted to XSL:FO using a stylesheet from Antenna House

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Html2Pdf

    public Html2Pdf()

Method Detail

### transformXHTML

    public java.io.ByteArrayOutputStream transformXHTML(java.lang.String sXHTML)
                                                 throws java.io.IOException,
                                                        FOPException,
                                                        javax.xml.transform.TransformerException,
                                                        javax.xml.transform.TransformerConfigurationException

  Transform XHTML to PDF

  Input XHTML is converted to XSL:FO using a stylesheet from Antenna House

  Parameters:
    `sXHTML` - String containing XHTML source to be converted to PDF
  Returns:
    ByteArrayOutputStream with generated PDF document
  Throws:
    `java.io.IOException`
    `FOPException`
    `javax.xml.transform.TransformerException`
    `javax.xml.transform.TransformerConfigurationException`

### transformHTML

    public java.io.ByteArrayOutputStream transformHTML(java.lang.String sHTML)
                                                throws java.io.IOException,
                                                       FOPException,
                                                       javax.xml.transform.TransformerException,
                                                       javax.xml.transform.TransformerConfigurationException

  Transform HTML to PDF

  Parameters:
    `sHTML` - String containing HTML source to be converted to PDF
  Returns:
    ByteArrayOutputStream with generated PDF document
  Throws:
    `java.io.IOException`
    `FOPException`
    `javax.xml.transform.TransformerException`
    `javax.xml.transform.TransformerConfigurationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD